# MRExo

[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.3306969.svg)](https://doi.org/10.5281/zenodo.3306969)


[MRExo]([https://shbhuk.github.io/mrexo/](https://mrexo.readthedocs.io/en/latest/)) is a Python package to jointly model distributions beyond two dimensions.
Our updated framework can now simultaneously model up to four observables, while also incorporating asymmetric measurement uncertainties and upper limits in the data.

We build upon the 2-dimensional nonparametric framework utilizing beta density functions as the basis set for density estimation to perform simultaneous density estimation in up to 4-dimensions.

For detailed description of the code please see [Kanodia et al. (2019)](http://bit.ly/mrexo_paper) for the original and [Kanodia et al. (2023)](https://ui.adsabs.harvard.edu/abs/2023arXiv230810615K/abstract) for the updated version.


==================


## **Installation**

### Linux/Unix  

1. In the terminal - 
`pip install mrexo`

1. In the terminal - 
 `pip install git+https://github.com/shbhuk/mrexo.git -U`

OR

1. In the terminal - 
`pip install git+ssh://git@github.com/shbhuk/mrexo.git -U `

OR 

1. In the terminal - 
`git clone https://github.com/shbhuk/mrexo`

2. In the repository directory 
`python setup.py install`

The -U is to upgrade the dependencies.


### Windows 

 1. Install Git - [Git for Windows](https://git-for-windows.github.io/)

 2. Install pip - [pip for Windows](https://pip.pypa.io/en/stable/installing/)

 3. In cmd or git cmd - 
  `pip install git+https://github.com/shbhuk/mrexo.git -U`
 
 OR 
 
 `pip install mrexo`
 
 OR 
 
 Clone or Download the zip file and then in the repository directory
 `python setup.py install`
 
To sign up for updates, please join the Google Group linked here - https://groups.google.com/forum/#!forum/mrexo

================== 
 
## **Citation**

Guidelines to cite this package can be found [here](https://github.com/AASJournals/Tutorials/blob/master/Repositories/CitingRepositories.md).

The relevant paper can be found on [ADS](<https://ui.adsabs.harvard.edu/abs/2023arXiv230810615K/abstract>).

==================

